<bugID>950058<Summary>Split each download item so that all of the right part of it activates the action</Summary><Description>Created attachment 8347258
screenshot (Nightly 2013-12-13, Shiki Dust, font size 16)

Bug 760607 did increase the size of the icons.  Now they are the size of the mouse pointer for me.  That's still too small.  It's easy to misunderstand the state of the download, and the icon is disproportionately small as a click target compared to the file entry.  It is also smaller than the file type icon, which is, IMO, less useful (and not a button).  Imagine clicking the wrong link and wanting to stop the download: the icon will change from "Cancel" to "Open" at the end, and you won't notice.

I am using larger-than-default fonts, and a GTK theme (Shiki Dust) that makes the background a little darker.  Compare attachment 694437 and my screenshot.</Description></bugID>